diff --git a/tests/regressiontests/i18n/tests.py b/tests/regressiontests/i18n/tests.py
index 0b955ad..5350b2b 100644
--- a/tests/regressiontests/i18n/tests.py
+++ b/tests/regressiontests/i18n/tests.py
@@ -7,6 +7,7 @@ import pickle
 from threading import local
 
 from django.conf import settings
+from django.apps import cache
 from django.template import Template, Context
 from django.test import TestCase, RequestFactory
 from django.utils.formats import (get_format, date_format, time_format,
@@ -618,15 +619,22 @@ class ResolutionOrderI18NTests(TestCase):
         self.assertTrue(msgstr in result, ("The string '%s' isn't in the "
             "translation of '%s'; the actual result is '%s'." % (msgstr, msgid, result)))
 
+class MockedApp(object):
+    class Meta:
+        def path(self):
+            return os.path.join(
+                os.path.dirname(os.path.abspath(__file__)), 'resolution')
+    _meta = Meta()
+
 class AppResolutionOrderI18NTests(ResolutionOrderI18NTests):
 
     def setUp(self):
-        self.old_installed_apps = settings.INSTALLED_APPS
-        settings.INSTALLED_APPS = ['regressiontests.i18n.resolution'] + list(settings.INSTALLED_APPS)
+        self.old_loaded_apps = cache.loaded_apps
+        cache.loaded_apps = [MockedApp()] + cache.loaded_apps
         super(AppResolutionOrderI18NTests, self).setUp()
 
     def tearDown(self):
-        settings.INSTALLED_APPS = self.old_installed_apps
+        cache.loaded_apps = self.old_loaded_apps
         super(AppResolutionOrderI18NTests, self).tearDown()
 
     def test_app_translation(self):
diff --git a/tests/runtests.py b/tests/runtests.py
index ba66d2a..b955b6b 100755
--- a/tests/runtests.py
+++ b/tests/runtests.py
@@ -136,11 +136,9 @@ def setup(verbosity, test_labels):
     # in our tests.
     settings.MANAGERS = ("admin@djangoproject.com",)
 
-    # Load all the ALWAYS_INSTALLED_APPS.
-    # (This import statement is intentionally delayed until after we
-    # access settings because of the USE_I18N dependency.)
-    from django.db.models.loading import get_apps, load_app
-    get_apps()
+    # This import statement is intentionally delayed until after we
+    # access settings because of the USE_I18N dependency.
+    from django.db.models.loading import load_app
 
     # Load all the test model apps.
     test_labels_set = set([label.split('.')[0] for label in test_labels])
